org.apache.mina.transport.socket

## Interface SocketConnector

- All Superinterfaces:
    IoConnector, IoService
  All Known Implementing Classes:
    AprSocketConnector, NioSocketConnector

      public interface SocketConnector
      extends IoConnector

  `IoConnector` for socket transport (TCP/IP).
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetSocketAddress` | `getDefaultRemoteAddress()` Returns the default remote address to connect to when no argument is specified in `IoConnector.connect()` method.
    `SocketSessionConfig` | `getSessionConfig()` Returns the default configuration of the new SocketSessions created by this connect service.
    `void` | `setDefaultRemoteAddress(InetSocketAddress remoteAddress)` TODO : add documentation

    - ### Methods inherited from interface org.apache.mina.core.service.IoConnector

      `connect, connect, connect, connect, connect, connect, getConnectTimeout, getConnectTimeoutMillis, setConnectTimeout, setConnectTimeoutMillis, setDefaultRemoteAddress`

    - ### Methods inherited from interface org.apache.mina.core.service.IoService

      `addListener, broadcast, dispose, dispose, getActivationTime, getFilterChain, getFilterChainBuilder, getHandler, getManagedSessionCount, getManagedSessions, getScheduledWriteBytes, getScheduledWriteMessages, getSessionDataStructureFactory, getStatistics, getTransportMetadata, isActive, isDisposed, isDisposing, removeListener, setFilterChainBuilder, setHandler, setSessionDataStructureFactory`

- - ### Method Detail

    - #### getDefaultRemoteAddress

          InetSocketAddress getDefaultRemoteAddress()

      Returns the default remote address to connect to when no argument is specified in `IoConnector.connect()` method.
      Specified by:
        `getDefaultRemoteAddress` in interface `IoConnector`

    - #### setDefaultRemoteAddress

          void setDefaultRemoteAddress(InetSocketAddress remoteAddress)

      TODO : add documentation
      Parameters:
        `remoteAddress` -

    - #### getSessionConfig

          SocketSessionConfig getSessionConfig()

      Returns the default configuration of the new SocketSessions created by this connect service.
      Specified by:
        `getSessionConfig` in interface `IoService`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.